Summary: A DNS (Domain Name System) server.
Name: bind
Version: 9.2.2
Release: 9tr
License: distributable
Group: Network/Services
Source0: ftp://ftp.isc.org/isc/bind9/%{version}/bind-%{version}.tar.gz
Source2: bind-manpages.tar.bz2
Source3: named.init
Source4: named.logrotate
Source5: bind9-zones.tar.gz
Source6: named.conf
Source7: named-jail.sh
Source8: named-sysconfig
Buildroot: /var/tmp/%{name}-root
PreReq: %{name}-libs
BuildRequires: openssl-devel
Prereq: tsl-utils chkconfig dev
Requires: findutils, coreutils


%description
BIND (Berkeley Internet Name Domain) is an implementation of the DNS
(Domain Name System) protocols. BIND includes a DNS server (named), 
which resolves host names to IP addresses, and a resolver library 
(routines for applications to use when interfacing with DNS).  A DNS 
server allows clients to name resources or objects and share the 
information with other network machines.  The named DNS server can be 
used on workstations as a caching name server, but is generally only 
needed on one machine for an entire network.  Note that the 
configuration files for making BIND act as a simple caching nameserver 
are included in the caching-nameserver package.  

Install the bind package if you need a DNS server for your network.  If
you want bind to act a caching name server, you will also need to install
the caching-nameserver package.

%package libs
Summary: Runtime libraries needed for the BIND packages.
Group: Libraries/Runtime
PreReq: shadow-utils

%description libs
The %{name}-libs package contains files common to serveral of the %{name}
packages.  You will want to install this if you intend to use any of the
other %{name} packages.

%package utils
Summary: Utilities for querying DNS name servers.
Group: Network/Utilities
Requires: %{name}-libs

%description utils
Bind-utils contains a collection of utilities for querying DNS (Domain
Name Service) name servers to find out information about Internet hosts.
These tools will provide you with the IP addresses for given host names,
as well as other information about registered domains and network 
addresses.

You should install bind-utils if you need to get information from DNS name
servers.

%package devel
Summary: Include files and libraries needed for bind DNS development.
Group: Libraries/Development
Requires: %{name}-libs

%description devel
The bind-devel package contains all the include files and the 
library required for DNS (Domain Name Service) development for 
BIND versions 9.x.x.

You should install bind-devel if you want to develop bind DNS
applications. If you install bind-devel, you'll also need to install
bind.

%package light
Summary: Bind lightweight daemon.
Group: Network/Services
Requires: %{name}-libs

%description light
This package provides the Bind Light Weight Resolver, aka. lwresd.
lwresd is the daemon providing name lookup services to clients that use
the BIND 9 lightweight resolver library.  It is essentially a stripped-down,
caching-only name server that answers queries using the BIND 9 lightweight
resolver protocol rather than the DNS protocol.

%package light-devel
Summary: Include files and libraries needed for BIND Light DNS development.
Group: Libraries/Development
Requires: %{name}-light

%description light-devel
The light-devel package contains all the include files and the 
library required for lwresd (Bind Light Weight Resolver) development.

%prep
%setup -q -n bind-%{version}

%build
%configure --with-openssl=/usr --with-libtool
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p ${RPM_BUILD_ROOT}/etc/{init.d,logrotate.d}
mkdir -p ${RPM_BUILD_ROOT}/usr/{bin,lib,sbin,include}
mkdir -p ${RPM_BUILD_ROOT}/etc/named.d
mkdir -p ${RPM_BUILD_ROOT}%{_mandir}/{man1,man3,man5,man8}
mkdir -p ${RPM_BUILD_ROOT}/var/run/named
mkdir -p ${RPM_BUILD_ROOT}/var/lib/named/chroot
mkdir -p ${RPM_BUILD_ROOT}/etc/logrotate.d
mkdir -p ${RPM_BUILD_ROOT}/etc/sysconfig/

chmod 755 ${RPM_BUILD_ROOT}/var/lib/named
chmod 700 ${RPM_BUILD_ROOT}/var/lib/named/chroot

make DESTDIR=$RPM_BUILD_ROOT install
install -c -m 755 %{SOURCE3} $RPM_BUILD_ROOT%{_initdir}/named
install -c -m 644 %{SOURCE4} $RPM_BUILD_ROOT/etc/logrotate.d/named
cd $RPM_BUILD_ROOT/etc/named.d
tar zxvf %{SOURCE5}
cd -
install -c -m 644 %{SOURCE6} $RPM_BUILD_ROOT/etc/named.conf
install -c -m 755 %{SOURCE7} $RPM_BUILD_ROOT/usr/sbin/named-jail.sh
install -c -m 644 %{SOURCE8} $RPM_BUILD_ROOT/etc/sysconfig/named
touch $RPM_BUILD_ROOT/etc/rndc.key
chmod 600 $RPM_BUILD_ROOT/etc/rndc.key
cd $RPM_BUILD_ROOT%{_mandir}
tar xjvf %{SOURCE2}
cd -

# These need execute permission
chmod a+x $RPM_BUILD_ROOT/usr/lib/*

%pre libs
if [ -z "`getent group named`" ]; then
        /usr/sbin/groupadd -g 98 named
fi
if [ -z "`getent passwd named`" ]; then
        /usr/sbin/useradd -d /etc/named.d -s /bin/false \
        -g named -u 98 named
fi 

%post
if [ ! -s /etc/rndc.key ]; then
  cd /etc
  rndc-confgen -r /dev/urandom -a
  chmod 600 rndc.key
  cd -
fi
# Restart service after upgrade.
/sbin/chkconfig --add named
/sbin/restart_maybe named

%preun libs
if [ $1 = 0 ]; then
/sbin/chkconfig --del named
/usr/sbin/userdel named 2>/dev/null || :
/usr/sbin/groupdel named 2>/dev/null || :
fi

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc CHANGES COPYRIGHT FAQ README 
%doc doc/arm doc/draft doc/misc doc/rfc
%config(noreplace) /etc/logrotate.d/named
%config(noreplace) %verify(not size md5 mtime) %attr(0644,root,root) /etc/named.conf
%dir %attr(0755,root,root) /etc/named.d
%dir %attr(0755,root,root) /etc/named.d/master
%dir %attr(0755,named,named) /etc/named.d/slave
%dir %attr(0755,root,root) /var/lib/named
%dir %attr(0700,named,named) /var/lib/named/chroot
%config(noreplace) %verify(not size md5 mtime) %attr(0644,root,root) /etc/named.d/root.cache
%config(noreplace) %verify(not size md5 mtime) %attr(0644,root,root) /etc/named.d/chaos.hint
%config(noreplace) %verify(not size md5 mtime) %attr(0644,root,root) /etc/named.d/master/127.0.0
%config(noreplace) %verify(not size md5 mtime) %attr(0644,root,root) /etc/named.d/master/0.0.0
%config(noreplace) %verify(not size md5 mtime) %attr(0644,root,root) /etc/named.d/master/255.255.255
%config(noreplace) %verify(not size md5 mtime) %attr(0644,root,root) /etc/named.d/master/chaos.zone
%config(noreplace) %verify(not size md5 mtime) %attr(0644,root,root) /etc/named.d/master/localhost

/usr/sbin/dnssec-keygen
/usr/sbin/dnssec-makekeyset
/usr/sbin/dnssec-signkey
/usr/sbin/dnssec-signzone
/usr/sbin/named
/usr/sbin/named-checkconf
/usr/sbin/named-checkzone
/usr/sbin/named-jail.sh
%{_initdir}/named
%{_mandir}/man5/named.conf.5*
%{_mandir}/man8/dnssec-*.8*
%{_mandir}/man8/named.8*
%{_mandir}/man8/named-checkconf.8.gz
%{_mandir}/man8/named-checkzone.8.gz


%files libs
%defattr(-,root,root)
# This file contains a private key
%ghost %config(missingok,noreplace) %verify(not size md5 mtime) %attr(0640,root,named) /etc/rndc.key
%config(noreplace) %verify(not size md5 mtime) %attr(0644,root,root) /etc/sysconfig/named
/usr/lib/libdns.so.*
/usr/lib/libisc.so.*
/usr/lib/libisccc.so.*
/usr/lib/libisccfg.so.*
/usr/lib/liblwres.so.*

%files utils
%defattr(-,root,root)
/usr/bin/dig
/usr/bin/host
/usr/bin/nslookup
/usr/bin/nsupdate
/usr/sbin/rndc
/usr/sbin/rndc-confgen
%{_mandir}/man1
%{_mandir}/man5/resolv.conf.5*
%{_mandir}/man5/resolver.5*
%{_mandir}/man5/rndc.conf.5*
%{_mandir}/man8/nslookup.8*
%{_mandir}/man8/nsupdate.8*
%{_mandir}/man8/rndc.8*
%{_mandir}/man8/rndc-confgen.8*

%files devel
%defattr(-,root,root)
/usr/bin/isc-config.sh
/usr/include/dns
/usr/include/dst
/usr/include/isc
/usr/include/isccc
/usr/include/isccfg
/usr/lib/libdns.a
/usr/lib/libdns.la
/usr/lib/libdns.so
/usr/lib/libisc.a
/usr/lib/libisc.la
/usr/lib/libisc.so
/usr/lib/libisccc.a
/usr/lib/libisccc.la
/usr/lib/libisccc.so
/usr/lib/libisccfg.a
/usr/lib/libisccfg.la
/usr/lib/libisccfg.so

%files light
%defattr(-,root,root)
/usr/sbin/lwresd
%{_mandir}/man8/lwresd.8.gz

%files light-devel
%defattr(-,root,root)
/usr/lib/liblwres.a
/usr/lib/liblwres.la
/usr/lib/liblwres.so
/usr/include/lwres
%{_mandir}/man3

%changelog
* Mon Aug 25 2003 Chr. Toldnes <christht at trustix dot com> 9.2.2-9tr
- Bugfixing the jail, now even save the slave zones.

* Mon Jun 23 2003 Erlend Midttun <erlendbm at trustix dot com> 9.2.2-8tr
- Added %defattr.

* Wed Jun 18 2003 Erlend Midttun <erlendbm at trustix dot com> 9.2.2-7tr
- Big rebuild

* Tue May 27 2003 Erlend Midttun <erlendbm at trustix dot com> 9.2.2-6em
- Cleaned up Req's and PreReq's.

* Mon Apr 28 2003 Erlend Midttun <erlendbm at trustix dot com> 9.2.2-5em
- Make reload and a few other arguments to initscript work.

* Wed Apr  9 2003 Erlend Midttun <erlendbm at trustix dot com> 9.2.2-4em
- Moved user/group generation to bind-libs
- Changed uid/gid to 98/98.

* Mon Mar 24 2003 Erlend Midttun <erlendbm at trustix dot com> 9.2.2-3em
- Rebuilt against glibc 2.3.2.

* Tue Mar 11 2003 Erlend Midttun <erlendbm at trustix dot com> 9.2.2-2em
- named.conf(5) does no longer contain the cname log option as the
  option was removed.
  
* Mon Mar 10 2003 Erlend Midttun <erlendbm at trustix dot com> 9.2.2-1em
- Make reload work.
- Upgrade to 9.2.2.
- Uses /etc/rndc.key for both daemon and rndc.

* Thu Feb 27 2003 Erlend Midttun <erlendbm at trustix dot com> 9.2.1-7em
- Moved the light libraries needed by many to the bind-libs package.

* Fri Jan 31 2003 Erlend Midttun <erlendbm at trustix dot com> 9.2.1-6em
- Typo.

* Fri Jan 31 2003 Erlend Midttun <erlendbm at trustix dot com> 9.2.1-5em
- Cleaned out bugs #51, #52, #53 and #76:
- service named start now works
- service named status now works
- service named stop now works

* Sun Jan 19 2003 Gerald Dachs <gda at trustix dot org> 9.2.1-4gd
- rebuilt against openssl 0.9.7

* Thu Nov 21 2002 Christian H. Toldnes <christht at trustix dot com> 9.2.1-2ct
- named initscript now uses $INITLOCK
- includes geralds syslog/mount fixes

* Mon Oct 21 2002 Goetz Bock <bock at trustix dot org> 9.2.1-2bg
- added openssl buidlreq

* Tue Aug 13 2002 Christian H. Toldnes <christht at trustix dot com> 9.2.1-1ct
- Correct user/group handling
- Correct logging in chroot jail
- Correct init-script
- Better file separation between packages.
- New upstream version
- -common changed to -libs
- Changed name to bind

* Wed Nov 21 2001 Christian H. Toldnes <christht at trustix dot com>
- New upstream version 9.2.0rc10

* Mon Nov 12 2001 Christian H. Toldnes <christht at trustix dot com>
- New upstream version 9.2.0rc9

* Mon Oct 29 2001 Christian H. Toldnes <christht at trustix dot com>
- New upstream version 9.2.0rc8 and chroot-jail

* Wed Oct 17 2001 Christian H. Toldnes <christht at trustix dot com>
- New upstream version 9.2.0rc7 and finish remake

* Wed Aug 15 2001 Erlend Midttun <erlendbm at trustix dot com>
- Complete remake to fit BIND 9.2.0
